Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.model
Interface IWorkbenchAdapter

All Known Subinterfaces:
  IDeferredWorkbenchAdapter

All Known Implementing Classes:
  WorkbenchAdapter

public interface IWorkbenchAdapter

This adapter interface provides visual presentation and hierarchical structure for workbench elements, allowing them to be displayed in the UI without having to know the concrete type of the element.

There is an associate label provider and content provider for showing elements with a registered workbench adapter in JFace structured viewers.

See Also:
  `WorkbenchLabelProvider`, `BaseWorkbenchContentProvider`

Method Summary
`Object[]` | `getChildren(Object o)` Returns the children of this object.
`ImageDescriptor` | `getImageDescriptor(Object object)` Returns an image descriptor to be used for displaying an object in the workbench.
`String` | `getLabel(Object o)` Returns the label text for this element.
`Object` | `getParent(Object o)` Returns the logical parent of the given object in its tree.

Method Detail

### getChildren

    public Object[] getChildren(Object o)

  Returns the children of this object. When this object is displayed in a tree, the returned objects will be this element's children. Returns an empty array if this object has no children.

  Parameters:
    `o` - The object to get the children for.
  Returns:
    Object[]

### getImageDescriptor

    public ImageDescriptor getImageDescriptor(Object object)

  Returns an image descriptor to be used for displaying an object in the workbench. Returns `null` if there is no appropriate image.

  Parameters:
    `object` - The object to get an image descriptor for.
  Returns:
    ImageDescriptor

### getLabel

    public String getLabel(Object o)

  Returns the label text for this element. This is typically used to assign a label to this object when displayed in the UI. Returns an empty string if there is no appropriate label text for this object.

  Parameters:
    `o` - The object to get a label for.
  Returns:
    String

### getParent

    public Object getParent(Object o)

  Returns the logical parent of the given object in its tree. Returns `null` if there is no parent, or if this object doesn't belong to a tree.

  Parameters:
    `o` - The object to get the parent for.
  Returns:
    Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.